当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 刚刚装上9.8 居然可以使用crossfire咯 各位老大也进来帮忙看看问题谢谢
帖子发表于 : 2009-08-21 22:24 

注册: 2009-07-25 13:19
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
今晚上才装上9.8的催化剂加驱动
进催化剂一看 居然支持交叉火力 相当爽啊 要知道在xp下都是不能实现的哦
我是 ati hd 3200的集成显卡 加 ati hd 3470的独立显卡 amd 炫龙2.0

安装是参考的 tune 写的文章
不过其中有东西要改动
先附上他的安装步骤
引用:
请不要点System-Administation-Hardware Drivers,否则重启时系统死掉(可能用live cd 之类的可以恢复)
安装方法为(我的机子上可行,不知道你的可行不),到amd官方网站下载ati-driver-installer-9-7-x86.x86_64.run 到这里下载http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.1&lang=English
方法见https://help.ubuntu.com/community/BinaryDriverHowto/ATI
第一步:安装必要的包
sudo apt-get install dpkg-dev debhelper libstdc++5 dkms build-essential cdbs fakeroot
第二步:使用bin文件生成deb包
sudo sh ./ati-driver-installer-9-7-x86.x86_64.run --buildpkg Ubuntu/jaunty (若是其他版本则按相应版本改)
第三步:安装二进制驱动
sudo dpkg -i fglrx-kernel-source_8.632-0ubuntu1_i386.deb
第四步:安装X.org驱动
sudo dpkg -i xorg-driver-fglrx_8.632-0ubuntu1_i386.deb
第五步:run aticonfig
sudo aticonfig --initial
第六步:重启机器,确认安装
终端中执行:fglrxinfo
我的结果为(部分)

name of display: :0.0
display: :0 screen: 0
direct rendering: Yes
...
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Mobility Radeon HD 2400
OpenGL version string: 2.1.8787
OpenGL shading language version string: 1.30
...
这时说明安装应该成功了,你可以到http://forum.ubuntu.org.cn/viewtopic.php?f=94&t=140531
找到3D美化方面的教程。
以前我的机器fps只有160左右,安装驱动后在不开效果的情况下fps有3000~3600。
ati mobility radeon hd 2400的完美linux驱动安装方法在google和baidu上一直没找到过,这是我自创的,希望对你有帮助。



图片
ps:ati9.8的驱动可同样安装



不过安9.8有改动的哈
上面的只能参考 不要复制粘贴哈 而且他没安催化剂 也可以生成deb文件后 到目录中去双击安装 这样要简单点
也就是说从第3步开始就可以进目录挨个装咯
最后不要忘记 sudo aticonfig --initial
我没试过不执行会是啥后果 我也不想当小白鼠 同志们参考下吧


再次更新
根据 liwangli 的帖子 viewtopic.php?f=155&t=221689
往下翻 有他的安装步骤
说要在最后 /etc/rc.conf模块里加上fglrx 以启用3d加速 据说gears跑起来很暴力
不过是在 arch
发现在ubuntu不通用 ubuntu根本就莫得rc.conf 郁闷
请问各位前辈 如果要修改 又在那个模块改喃?


不知道对不对 自己瞎搅和咯下
引用:
sudo gedit /etc/modules

在里面加咯个fglrx
经实验 发现 gears此时很不稳定 时高时低 总体fps下降趋势 看来我搞错地方咯


最后由 thejaws 编辑于 2009-08-21 23:56,总共编辑了 3 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: 哈哈 刚刚装上9.8 居然可以使用crossfire咯
帖子发表于 : 2009-08-21 22:26 

注册: 2009-07-25 13:19
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
沙发给ubuntu :em09

最新问题
发现无法使用高级用户模式的催化剂 提示“ 执行子进程“amdxdg-su”失败(没有该文件或目录) ”
普通用户模式倒是可以用
残念~


不过可以用命令行执行高级用户模式哈
sudo amdcccle 就搞定


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 哈哈 刚刚装上9.8 居然可以使用crossfire咯
帖子发表于 : 2009-08-21 22:57 
头像

注册: 2008-02-17 23:47
帖子: 22109
地址: 美丽富饶的那啥星球
送出感谢: 11
接收感谢: 82
9.8我刚装上阿,为什么我的没有crossfire?
也是AMD780G加HD2400pro,XP下可以的


_________________
明天就换大三八!
——8核CPU、8G内存、8T硬盘……
8卡交火,80寸大屏放8个……
IPv8的光纤要8条……

---------------------------------------------------------------------------------
[图片版]新手当自强(续)FAQ
[新手进阶]挂载、fstab、调整linux分区
[图片版]E17桌面环境配置手把手


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 哈哈 刚刚装上9.8 居然可以使用crossfire咯
帖子发表于 : 2009-08-21 22:59 

注册: 2009-04-28 21:47
帖子: 135
送出感谢: 0 次
接收感谢: 0 次
改动这样几步就行了:第二步:sudo sh ./ati-driver-installer-9-8-x86.x86_64.run --buildpkg Ubuntu/jaunty
第三步:sudo dpkg -i fglrx-kernel-source_*.deb
第四步:sudo dpkg -i xorg-driver-fglrx_*.deb


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 哈哈 刚刚装上9.8 居然可以使用crossfire咯
帖子发表于 : 2009-08-21 23:00 

注册: 2009-04-28 21:47
帖子: 135
送出感谢: 0 次
接收感谢: 0 次
催化剂可以在生成的deb包中安装 :em09


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 哈哈 刚刚装上9.8 居然可以使用crossfire咯
帖子发表于 : 2009-08-21 23:22 

注册: 2009-07-25 13:19
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
adagio 写道:
9.8我刚装上阿,为什么我的没有crossfire?
也是AMD780G加HD2400pro,XP下可以的


我在xp下就没开启过crossfire :em06 可谓阴差阳错 :em06 :em06


附件:
screenshot1.png
screenshot1.png [ 152.48 KiB | 被浏览 686 次 ]

页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译